> ## Documentation Index
> Fetch the complete documentation index at: https://tibbie.co/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a post



## OpenAPI

````yaml api-reference/openapi.json delete /posts/{post}
openapi: 3.1.0
info:
  title: Tibbie
  version: '1.0'
  description: REST API for managing posts and connections on Tibbie.
servers:
  - url: https://tibbie.co/api/v1
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: User
  - name: Connections
  - name: Posts
  - name: Media
paths:
  /posts/{post}:
    delete:
      tags:
        - Posts
      summary: Delete a post
      operationId: post.destroy
      parameters:
        - name: post
          in: path
          required: true
          description: The post ID
          schema:
            type: integer
      responses:
        '204':
          description: No content
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.